Skip to navigation

POST SignedAttributes

View as Markdown

POST /api/cms/v1/signedattributes

This call builds the signed attributes required for generating the CMS using the POST cms call. For more information, see CMS API.

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See
Authentication
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to
application/json.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Request Body Parameters

This table provides descriptions of the information in the request body.

NameDescription
userCertRequired. Base 64 string of the user certificate.
hashRequired. The hash of the original document.
formatRequired. At this time, the only valid value is “PADES”.

Response information

If successful, this returns a base64 string representing the Signed Attributes.

NameDescription
signedAttributesBase 64 string representing the signed attributes, as specified by
RFC 5652.
The TSP must provide the returned signed attributes and the signature of the hash in the
POST CMS request.
{
"userCert": "base 64 string",
"hash": "base 64 string",
"format": "string"
}